#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int brojGrana, brojCvorova, a, b, slovo1 = 0, slovo2 = 0, slovo3 = 0;
    char x;

    cin >> brojCvorova;
    brojGrana = brojCvorova - 1;

    for(int i = 0; i < brojGrana; i++){
        cin >> a >> b >> x;
        if(x == 'S') slovo1++;
        else if(x == 'I') slovo2++;
        else slovo3++;
    }

    cout << slovo1 * slovo2 * slovo3;
    return 0;
}